## hwloc-contrib 2.11.2

=== debian/changelog ===
hwloc-contrib (2.11.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Oct 2024 14:51:30 +0200

hwloc-contrib (2.11.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/bash-completion: Upstreamed.
  * tests/tests: Always unpatch on exit.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2024 16:58:41 +0200

hwloc-contrib (2.11.0-2) unstable; urgency=medium

  * patches/bash-completion: Fix bash completion syntax error.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Jul 2024 08:15:39 +0200

## hwloc-contrib 2.12.0

=== debian/changelog ===
hwloc-contrib (2.12.0-3) unstable; urgency=medium

  * control: Drop Build-Depends-Indep.
  * salsa-ci.yml: Drop pkg.hwloc.minimum profile test.
  * control: Add explicit libnvidia-ml1 to fix build on ppc64el which has a
    tesla-470 alternative.

  * patches/fix-test-several-levels-same-type: Fix test when host has several
    levels with same type (Closes: Bug#1103282)
  * patches/work_around_legacy_max_proc_being_0: Fix undefined behavior on
    systems with bogus legacy_max_proc information.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2025 17:13:06 +0200

hwloc-contrib (2.12.0-2) unstable; urgency=medium

  * control: Add librocm-smi-dev libze-dev libibverbs-dev build-deps.
  * patches/verbosity: Reduce verbosity of initialization errors of rocm and
    levelzero.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Feb 2025 13:26:46 +0100

hwloc (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * tests-patches/use_system_hwloc: Refresh patch.
  * control: Make sure to pull libnvidia-ml-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Feb 2025 17:18:02 +0100

hwloc-contrib (2.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Feb 2025 14:17:32 +0100

=== debian/control ===
Source: hwloc-contrib
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), dh-exec,
  libltdl-dev [!gnu-any-any] <!pkg.hwloc.minimum>,
  valgrind-if-available <!pkg.hwloc.minimum>,
  libcairo2-dev <!pkg.hwloc.minimum>, libx11-dev <!pkg.hwloc.minimum>,
  libxml2-dev <!pkg.hwloc.minimum>, libxml2-utils <!nocheck !pkg.hwloc.minimum>,
  libncurses-dev <!pkg.hwloc.minimum>,
  libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
  libxnvctrl-dev <!pkg.hwloc.minimum>,
  nvidia-cuda-dev <!pkg.hwloc.minimum>, libnvidia-ml-dev <!pkg.hwloc.minimum>, libnvidia-ml1 <!pkg.hwloc.minimum>,
  librocm-smi-dev [linux-any] <!pkg.hwloc.minimum>,
  libze-dev [amd64] <!pkg.hwloc.minimum>,
  libibverbs-dev [linux-any] <!pkg.hwloc.minimum>,
  libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
  pkgconf,
  ocl-icd-opencl-dev [!hurd-any] <!pkg.hwloc.minimum> | opencl-dev <!pkg.hwloc.minimum>, opencl-headers <!pkg.hwloc.minimum>,
  autoconf (>= 2.63),
# w3m, if we ever need to update README
  dpkg-dev (>= 1.16)
Build-Conflicts: autoconf2.13
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: contrib/libs
Homepage: https://www.open-mpi.org/projects/hwloc/
Vcs-Git: https://salsa.debian.org/debian/hwloc.git -b contrib
Vcs-Browser: https://salsa.debian.org/debian/hwloc/-/tree/contrib

Package: libhwloc-contrib-plugins
Architecture: any
Multi-Arch: same
Build-Profiles: <!pkg.hwloc.minimum>
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc15 (>= ${source:Upstream-Version}~), libhwloc15 (<< ${source:Upstream-Version}A)
Description: Hierarchical view of the machine - contrib plugins
 libhwloc provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains plugins to add discovery support for non-free items. This
 includes
  - CUDA support.

## hwloc-contrib 2.12.2

=== contrib/windows-cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(hwloc
    LANGUAGES C
    VERSION 2.12.2)

enable_testing()

option(HWLOC_ENABLE_TESTING "Enable testing" ON)
option(HWLOC_SKIP_LSTOPO "don't build/install lstopo")
option(HWLOC_SKIP_TOOLS "don't build/install other hwloc tools")
option(HWLOC_SKIP_INCLUDES "don't install headers")
option(HWLOC_WITH_LIBXML2 "use libxml2 instead of minimal XML")
option(HWLOC_WITH_OPENCL "enable OpenCL support")
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.17)
    option(HWLOC_WITH_CUDA "enable CUDA support")
endif()
option(HWLOC_BUILD_SHARED_LIBS "build shared libraries" ${BUILD_SHARED_LIBS})

set(TOPDIR ${PROJECT_SOURCE_DIR}/../..)

# "libhwloc.*" naming for MSVC and non-MSVC

configure_file(${TOPDIR}/contrib/windows/hwloc_config.h include/hwloc/autogen/config.h COPYONLY)

# Configure dynamically based on platform capabilities
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckCSourceCompiles)

check_include_file("dirent.h" HAVE_DIRENT_H)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("malloc.h" HAVE_MALLOC_H)
check_include_file("memory.h" HAVE_MEMORY_H)

check_symbol_exists(mkstemp "stdlib.h" HAVE_MKSTEMP)
check_symbol_exists(memalign "malloc.h" HAVE_MEMALIGN)

check_symbol_exists(strncasecmp "strings.h" HAVE_STRNCASECMP)
if(MSVC AND HAVE_STRNCASECMP)
    set(hwloc_strncasecmp 1)
    set(hwloc_strncasecmp_fcn strncasecmp)
else()
    set(hwloc_strncasecmp 0)
    set(hwloc_strncasecmp_fcn strncmp)
endif()


set(SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P})
# disable x86 entirely by default
set(HWLOC_X86_32_ARCH)
set(HWLOC_X86_64_ARCH)
set(HWLOC_HAVE_X86_CPUID 1)
if(CMAKE_C_COMPILER_ARCHITECTURE_ID MATCHES "^(x64|x86_64)$")
    # "x64"    for Windows (MSVC)
    # "x86_64" for Windows (MinGW), Linux, macOS
    set(HWLOC_X86_64_ARCH 1)
elseif(CMAKE_C_COMPILER_ARCHITECTURE_ID MATCHES "^(X86|i[3-6]86)$")
    # "X86"      for Windows (MSVC)
    # "i[3-6]86" for Windows (MinGW), Linux, macOS
    set(HWLOC_X86_32_ARCH 1)
else()
    # For "arm64", "aarch64", "ARM64"...
    set(HWLOC_HAVE_X86_CPUID 0)
endif()
message(STATUS "Target Arch ID = ${CMAKE_C_COMPILER_ARCHITECTURE_ID}")
message(STATUS "HWLOC_HAVE_X86_CPUID = ${HWLOC_HAVE_X86_CPUID}")

check_c_source_compiles("int main(void) {int cpuinfo[4]; __cpuidex(cpuinfo,0,0); return 0;}"
HWLOC_HAVE_MSVC_CPUIDEX
)

# the following lines are disabled until we are sure they are safe with old build environmentx
# - snprintf() returned broken values in the past, hwloc detects it during configure (see 7a4ee26510c06b55fc04aaccbfa18d0ca3b87198)
#   set(HAVE_DECL_SNPRINTF 1)
# - strtoull() had some issues in the past (see 9559bd08b79ef63dce45df87fb7f875b73ecb512)
#   set(HAVE_DECL_STRTOULL 1)

# --- optional external libraries
set(HWLOC_HAVE_LIBXML2)
if(HWLOC_WITH_LIBXML2)
    find_package(LibXml2 REQUIRED)
    set(HWLOC_HAVE_LIBXML2 1)
endif()

set(HWLOC_HAVE_OPENCL)
if(HWLOC_WITH_OPENCL)
    find_package(OpenCL REQUIRED)
    set(HWLOC_HAVE_OPENCL 1)
endif()

set(HAVE_CUDA)
set(HAVE_CUDA_H)
set(HAVE_CUDA_RUNTIME_API_H)
set(HWLOC_HAVE_CUDART)
if(HWLOC_WITH_CUDA)
    find_package(CUDAToolkit REQUIRED)
    set(HAVE_CUDA 1)
    set(HAVE_CUDA_H 1)
    set(HAVE_CUDA_RUNTIME_API_H 1)
    set(HWLOC_HAVE_CUDART 1)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/private_config.h.in include/private/autogen/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/static-components.h.in include/static-components.h)

# Library

add_compile_definitions($<$<CONFIG:DEBUG>:HWLOC_DEBUG=1>)

# FIXME dll soname
add_library(hwloc
    ${TOPDIR}/hwloc/topology.c
    ${TOPDIR}/hwloc/traversal.c
    ${TOPDIR}/hwloc/distances.c
    ${TOPDIR}/hwloc/memattrs.c
    ${TOPDIR}/hwloc/cpukinds.c
    ${TOPDIR}/hwloc/components.c
    ${TOPDIR}/hwloc/bind.c
    ${TOPDIR}/hwloc/bitmap.c
    ${TOPDIR}/hwloc/pci-common.c
    ${TOPDIR}/hwloc/diff.c
    ${TOPDIR}/hwloc/shmem.c
    ${TOPDIR}/hwloc/misc.c
    ${TOPDIR}/hwloc/base64.c
    ${TOPDIR}/hwloc/topology-noos.c
    ${TOPDIR}/hwloc/topology-synthetic.c
    ${TOPDIR}/hwloc/topology-xml.c
    ${TOPDIR}/hwloc/topology-xml-nolibxml.c
    ${TOPDIR}/hwloc/topology-windows.c
    $<$<BOOL:${HWLOC_HAVE_X86_CPUID}>:${TOPDIR}/hwloc/topology-x86.c>
    $<$<BOOL:${HWLOC_HAVE_LIBXML2}>:${TOPDIR}/hwloc/topology-xml-libxml.c>
    $<$<BOOL:${HWLOC_HAVE_OPENCL}>:${TOPDIR}/hwloc/topology-opencl.c>
    $<$<BOOL:${HAVE_CUDA}>:${TOPDIR}/hwloc/topology-cuda.c>
)

target_link_libraries(hwloc PRIVATE
    $<$<BOOL:${HWLOC_HAVE_LIBXML2}>:LibXml2::LibXml2>
    $<$<BOOL:${HWLOC_HAVE_OPENCL}>:OpenCL::OpenCL>
    "$<$<BOOL:${HAVE_CUDA}>:CUDA::cudart;CUDA::cuda_driver>"
)

if(HWLOC_BUILD_SHARED_LIBS)
    target_compile_definitions(hwloc PRIVATE $<$<BOOL:${MSVC}>:_USRDLL>)
endif()

target_include_directories(hwloc PUBLIC
    "$<BUILD_INTERFACE:${TOPDIR}/include;${CMAKE_CURRENT_BINARY_DIR}/include>"
    $<INSTALL_INTERFACE:include>
)

# Tools under utils/hwloc

if(NOT HWLOC_SKIP_TOOLS)

    set(TOOLS
        hwloc-bind
        hwloc-calc
        hwloc-diff
        hwloc-distrib
        hwloc-gather-cpuid
        hwloc-info
        hwloc-patch
    )

    foreach(tool IN ITEMS ${TOOLS})
        add_executable(${tool}
            ${TOPDIR}/utils/hwloc/${tool}.c)
        target_link_libraries(${tool} PRIVATE hwloc)
    endforeach(tool)

endif()

# lstopo

if(NOT HWLOC_SKIP_LSTOPO)

    set(LSTOPOS
        lstopo-no-graphics
        lstopo
        lstopo-win
    )

    set(LSTOPO_COMMON_SOURCES
        ${TOPDIR}/utils/lstopo/lstopo.c
        ${TOPDIR}/utils/lstopo/lstopo-draw.c
        ${TOPDIR}/utils/lstopo/lstopo-tikz.c
        ${TOPDIR}/utils/lstopo/lstopo-fig.c
        ${TOPDIR}/utils/lstopo/lstopo-svg.c
        ${TOPDIR}/utils/lstopo/lstopo-ascii.c
        ${TOPDIR}/utils/lstopo/lstopo-text.c
        ${TOPDIR}/utils/lstopo/lstopo-xml.c
        ${TOPDIR}/utils/hwloc/common-ps.c
    )

    add_executable(lstopo-no-graphics
        ${LSTOPO_COMMON_SOURCES}
    )
    target_link_libraries(lstopo-no-graphics PRIVATE hwloc)

    add_executable(lstopo
        ${LSTOPO_COMMON_SOURCES}
        ${TOPDIR}/utils/lstopo/lstopo-windows.c
    )
    target_compile_definitions(lstopo PRIVATE LSTOPO_HAVE_GRAPHICS)

    add_executable(lstopo-win WIN32
        ${LSTOPO_COMMON_SOURCES}
        ${TOPDIR}/utils/lstopo/lstopo-windows.c
    )
    target_compile_definitions(lstopo-win PRIVATE LSTOPO_HAVE_GRAPHICS)
    target_link_options(lstopo-win PRIVATE "$<$<BOOL:${MSVC}>:/subsystem:windows;/entry:mainCRTStartup>")

    foreach(tool IN ITEMS ${LSTOPOS})
        target_include_directories(${tool} PRIVATE ${TOPDIR}/utils/hwloc)
        target_link_libraries(${tool} PRIVATE hwloc)
    endforeach(tool)

endif()

# Misc

foreach(target IN ITEMS hwloc ${TOOLS} ${LSTOPOS})
    target_compile_definitions(${target} PRIVATE $<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>)
endforeach(target)

# Install

install(TARGETS hwloc)

if(NOT HWLOC_SKIP_TOOLS)
    install(TARGETS ${TOOLS})
endif()

if(NOT HWLOC_SKIP_LSTOPO)
    install(TARGETS ${LSTOPOS})
endif()

if(NOT HWLOC_SKIP_INCLUDES)
    install(FILES ${TOPDIR}/include/hwloc.h TYPE INCLUDE)
    install(DIRECTORY ${TOPDIR}/include/hwloc TYPE INCLUDE FILES_MATCHING PATTERN "*.h")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/include/hwloc/autogen/config.h DESTINATION include/hwloc/autogen)
endif()

if(MSVC AND BUILD_SHARED_LIBS)
  install(FILES $<TARGET_PDB_FILE:hwloc>
    TYPE BIN
    OPTIONAL)
endif()

# Testing

if(HWLOC_ENABLE_TESTING)
    add_subdirectory(tests ${CMAKE_CURRENT_BINARY_DIR}/tests)
endif()

=== contrib/windows-cmake/tests/CMakeLists.txt ===
foreach(t api_version backends bind
  bitmap bitmap_compare_inclusion bitmap_first_last_weight bitmap_singlify bitmap_string
  distances get_area_memlocation get_cache_covering_cpuset get_closest_objs get_largest_objs_inside_cpuset
  get_last_cpu_location get_next_obj_covering_cpuset get_obj_below_array_by_type get_obj_covering_cpuset
  get_obj_inside_cpuset get_obj_with_same_locality get_shared_cache_covering_obj
  groups insert_misc iodevs is_thissystem list_components obj_infos object_userdata pci_backend synthetic
  topology_abi topology_allow topology_diff topology_dup topology_restrict type_depth type_sscanf
)
  add_executable(hwloc_${t} ${TOPDIR}/tests/hwloc/hwloc_${t}.c)
  target_link_libraries(hwloc_${t} PRIVATE hwloc)

  add_test(NAME ${t} COMMAND hwloc_${t} WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
  set_tests_properties(${t} PROPERTIES TIMEOUT 10)
endforeach()

foreach(t cpuset_nodeset memattrs cpukinds gl windows_processor_groups)
  add_executable(${t} ${TOPDIR}/tests/hwloc/${t}.c)
  target_link_libraries(${t} PRIVATE hwloc)

  add_test(NAME ${t} COMMAND ${t} WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
  set_tests_properties(${t} PROPERTIES TIMEOUT 10)
endforeach()

add_executable(xmlbuffer ${TOPDIR}/tests/hwloc/xmlbuffer.c)
target_link_libraries(xmlbuffer PRIVATE hwloc)
add_test(NAME xmlbuffer00 COMMAND xmlbuffer 0 0 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer01 COMMAND xmlbuffer 0 1 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer10 COMMAND xmlbuffer 1 0 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer11 COMMAND xmlbuffer 1 1 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
set_tests_properties(xmlbuffer00 xmlbuffer01 xmlbuffer10 xmlbuffer11 PROPERTIES TIMEOUT 10)

target_compile_definitions(hwloc_type_sscanf PRIVATE XMLTESTDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/xml/\")

set_tests_properties(get_obj_with_same_locality PROPERTIES ENVIRONMENT HWLOC_TOP_SRCDIR=${TOPDIR})

add_test(NAME lstopo-no-graphics:verbose COMMAND lstopo-no-graphics -v)
add_test(NAME lstopo-no-graphics:groups COMMAND lstopo-no-graphics --windows-processor-groups)
set_tests_properties(lstopo-no-graphics:verbose lstopo-no-graphics:groups PROPERTIES
DISABLED ${HWLOC_SKIP_LSTOPO}
LABELS exe
TIMEOUT 10
)

add_test(NAME hwloc-info:support COMMAND hwloc-info --support)
set_tests_properties(hwloc-info:support PROPERTIES
DISABLED ${HWLOC_SKIP_TOOLS}
LABELS exe
TIMEOUT 10
)


# --- optional tests

if(HWLOC_HAVE_OPENCL)
  add_executable(test_opencl ${TOPDIR}/tests/hwloc/opencl.c)
  target_link_libraries(test_opencl PRIVATE hwloc OpenCL::OpenCL)

  add_test(NAME OpenCL COMMAND test_opencl)
  set_tests_properties(OpenCL PROPERTIES TIMEOUT 10)
endif()

if(HAVE_CUDA)
  add_executable(test_cuda ${TOPDIR}/tests/hwloc/cuda.c)
  target_link_libraries(test_cuda PRIVATE hwloc CUDA::cudart CUDA::cuda_driver)

  add_test(NAME CUDA COMMAND test_cuda)
  set_tests_properties(CUDA PROPERTIES TIMEOUT 10)
endif()

=== debian/changelog ===
hwloc-contrib (2.12.2-2) unstable; urgency=medium

  * Re-upload without ppc64el binaries.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 21:50:33 +0200

hwloc-contrib (2.12.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.
  * not-installed: Note that we don't install hwloc_levelzero.so.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Aug 2025 18:43:54 +0200

hwloc-contrib (2.12.2~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Aug 2025 22:23:09 +0200

hwloc-contrib (2.12.1-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 May 2025 11:30:01 +0200

hwloc-contrib (2.12.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - patches/fix-test-several-levels-same-type: Upstreamed.
    - patches/work_around_legacy_max_proc_being_0: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 May 2025 15:38:37 +0200

hwloc-contrib (2.12.0-4) unstable; urgency=medium

  * control: Drop librocm-smi-dev build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 May 2025 02:28:29 +0200

hwloc (2.12.0-3) unstable; urgency=medium

  * patches/fix-test-several-levels-same-type: Fix test when host has several
    levels with same type (Closes: Bug#1103282)
  * patches/work_around_legacy_max_proc_being_0: Fix undefined behavior on
    systems with bogus legacy_max_proc information.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2025 17:13:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hwloc-contrib
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec,
+Build-Depends: debhelper-compat (= 13), dh-exec,
   libltdl-dev [!gnu-any-any] <!pkg.hwloc.minimum>,
   valgrind-if-available <!pkg.hwloc.minimum>,
   libcairo2-dev <!pkg.hwloc.minimum>, libx11-dev <!pkg.hwloc.minimum>,
@@ -10,7 +10,7 @@
   libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
   libxnvctrl-dev <!pkg.hwloc.minimum>,
   nvidia-cuda-dev <!pkg.hwloc.minimum>, libnvidia-ml-dev <!pkg.hwloc.minimum>, libnvidia-ml1 <!pkg.hwloc.minimum>,
-  librocm-smi-dev [linux-any] <!pkg.hwloc.minimum>,
+#  librocm-smi-dev [linux-any] <!pkg.hwloc.minimum>,
   libze-dev [amd64] <!pkg.hwloc.minimum>,
   libibverbs-dev [linux-any] <!pkg.hwloc.minimum>,
   libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
@@ -21,7 +21,7 @@
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: contrib/libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
 Vcs-Git: https://salsa.debian.org/debian/hwloc.git -b contrib

## hwloc-contrib 2.13.0

=== debian/changelog ===
hwloc-contrib (2.13.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2026 23:40:38 +0100

hwloc-contrib (2.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2026 20:27:14 +0100

hwloc-contrib (2.13.0~rc1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 21:55:08 +0200

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.13 \
https://download.open-mpi.org/release/hwloc/v2.13/hwloc(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
